<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>LibGE: src/GE_ILLIGALSGA.h File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="cropped-BDS-Logo-1.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">LibGE
   &#160;<span id="projectnumber">0.31.0</span>
   </div>
   <div id="projectbrief">A c++ GE implementation</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">GE_ILLIGALSGA.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><a href="_g_e___i_l_l_i_g_a_l_s_g_a_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:ab09fafe3be6619f8e8cd20a69f60c022"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_g_e___i_l_l_i_g_a_l_s_g_a_8h.html#ab09fafe3be6619f8e8cd20a69f60c022">GE_ILLIGALSGA_getGenotype</a> (int **)</td></tr>
<tr class="separator:ab09fafe3be6619f8e8cd20a69f60c022"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3454b7087698a88fb76fb86bd16e36b5"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_g_e___i_l_l_i_g_a_l_s_g_a_8h.html#a3454b7087698a88fb76fb86bd16e36b5">GE_ILLIGALSGA_getPhenotype</a> (char **)</td></tr>
<tr class="separator:a3454b7087698a88fb76fb86bd16e36b5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a031a102f2ec6740f5faf81f21503bc55"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_g_e___i_l_l_i_g_a_l_s_g_a_8h.html#a031a102f2ec6740f5faf81f21503bc55">GE_ILLIGALSGA_validPhenotype</a> ()</td></tr>
<tr class="separator:a031a102f2ec6740f5faf81f21503bc55"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad3ebebac881c338bffc05d8e5d4d9497"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_g_e___i_l_l_i_g_a_l_s_g_a_8h.html#ad3ebebac881c338bffc05d8e5d4d9497">GE_ILLIGALSGA_setMaxWraps</a> (int)</td></tr>
<tr class="separator:ad3ebebac881c338bffc05d8e5d4d9497"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a714d16f2c6e7d00b84d9e8840a9d9687"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_g_e___i_l_l_i_g_a_l_s_g_a_8h.html#a714d16f2c6e7d00b84d9e8840a9d9687">GE_ILLIGALSGA_readBNFFile</a> (char *)</td></tr>
<tr class="separator:a714d16f2c6e7d00b84d9e8840a9d9687"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5c79fb6de5107ee0c274efe789ca6e7b"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_g_e___i_l_l_i_g_a_l_s_g_a_8h.html#a5c79fb6de5107ee0c274efe789ca6e7b">GE_ILLIGALSGA_readBNFString</a> (char *)</td></tr>
<tr class="separator:a5c79fb6de5107ee0c274efe789ca6e7b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1bd6ddae7cac69af6a0a042b6e05394e"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_g_e___i_l_l_i_g_a_l_s_g_a_8h.html#a1bd6ddae7cac69af6a0a042b6e05394e">GE_ILLIGALSGA_outputBNF</a> ()</td></tr>
<tr class="separator:a1bd6ddae7cac69af6a0a042b6e05394e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab9a298a00ca2c4bd428ea6caa2ea4df3"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_g_e___i_l_l_i_g_a_l_s_g_a_8h.html#ab9a298a00ca2c4bd428ea6caa2ea4df3">GE_ILLIGALSGA_Mapper</a> (struct <a class="el" href="structindividual.html">individual</a> *critter, int lchrom, int bpg)</td></tr>
<tr class="separator:ab9a298a00ca2c4bd428ea6caa2ea4df3"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Function Documentation</h2>
<a id="ab09fafe3be6619f8e8cd20a69f60c022"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab09fafe3be6619f8e8cd20a69f60c022">&#9670;&nbsp;</a></span>GE_ILLIGALSGA_getGenotype()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int GE_ILLIGALSGA_getGenotype </td>
          <td>(</td>
          <td class="paramtype">int **&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a3454b7087698a88fb76fb86bd16e36b5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3454b7087698a88fb76fb86bd16e36b5">&#9670;&nbsp;</a></span>GE_ILLIGALSGA_getPhenotype()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int GE_ILLIGALSGA_getPhenotype </td>
          <td>(</td>
          <td class="paramtype">char **&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ab9a298a00ca2c4bd428ea6caa2ea4df3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab9a298a00ca2c4bd428ea6caa2ea4df3">&#9670;&nbsp;</a></span>GE_ILLIGALSGA_Mapper()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void GE_ILLIGALSGA_Mapper </td>
          <td>(</td>
          <td class="paramtype">struct <a class="el" href="structindividual.html">individual</a> *&#160;</td>
          <td class="paramname"><em>critter</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>lchrom</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>bpg</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a1bd6ddae7cac69af6a0a042b6e05394e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1bd6ddae7cac69af6a0a042b6e05394e">&#9670;&nbsp;</a></span>GE_ILLIGALSGA_outputBNF()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void GE_ILLIGALSGA_outputBNF </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a714d16f2c6e7d00b84d9e8840a9d9687"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a714d16f2c6e7d00b84d9e8840a9d9687">&#9670;&nbsp;</a></span>GE_ILLIGALSGA_readBNFFile()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int GE_ILLIGALSGA_readBNFFile </td>
          <td>(</td>
          <td class="paramtype">char *&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a5c79fb6de5107ee0c274efe789ca6e7b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5c79fb6de5107ee0c274efe789ca6e7b">&#9670;&nbsp;</a></span>GE_ILLIGALSGA_readBNFString()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int GE_ILLIGALSGA_readBNFString </td>
          <td>(</td>
          <td class="paramtype">char *&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ad3ebebac881c338bffc05d8e5d4d9497"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad3ebebac881c338bffc05d8e5d4d9497">&#9670;&nbsp;</a></span>GE_ILLIGALSGA_setMaxWraps()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void GE_ILLIGALSGA_setMaxWraps </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a031a102f2ec6740f5faf81f21503bc55"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a031a102f2ec6740f5faf81f21503bc55">&#9670;&nbsp;</a></span>GE_ILLIGALSGA_validPhenotype()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int GE_ILLIGALSGA_validPhenotype </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
